Kerbal Space Program - Bug #20766

deltaV calculation incorrect with liquid booster fuel flow priorities changed
12/27/2018 07:33 PM - isa

Status: Confirmed Start date: 12/27/2018
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.6.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

What happens:

The calculated deltaV values on crafts with liquid side boosters that are connected via fuel ducts to the central liquid stage gets
calculated very wrongly when flow priority on one of multiple side liquid fuel tanks is changed.

Steps to reproduce:

e enable "advanced tweakables" setting

¢ build or load the craft in the VAB or SPH

¢ change the flow priority on the bottom side fuel tanks by 1 and observe how the deltaV on both stages changes even though it
shouldn't change at all

Craft description (in case the craft file doesn't work):

e command module

¢ liquid fuel (and oxidizer) tank below command module

¢ two radial decouplers on the sides of the tank

¢ two fuel tanks on each decoupler (needs to be multiple!)

e attach an engine to the bottom of each fuel tank stack (a total of three)

e put FTX-2 External Fuel Ducts from the top side tanks to the central tank

e ensure that the staging is as in the screenshots: * stage 1 with all engines * stage 0 with decouplers
e positive deltaV should be shown for each stage

e change (increase or decrease) the flow priority on one of the side tanks by 1

e The deltaV on stage 1 drops a lot and the deltaV of stage 0 drops to zero. This is the bug.

Note:
The deltaV also gets calculated when the craft is launched, but once the boosters are separated the deltaV gets calculated correctly.

Version information:

¢ Linux steam version 1.6.0

¢ without steam running

¢ launched by running KSP.x86_64 from the terminal
System specifications:

¢ Arch Linux Kernel 4.19.10-arch1-1-ARCH x86_64

¢ Intel i5-6200U CPU
¢ integrated graphics

History

#1 - 12/28/2018 09:56 AM - 4x4cheesecake
- Platform Windows added

Happens on windows as well, tested with the steam version of the game.
#2 - 12/29/2018 08:04 PM - Nebbie
- File screenshot849.png added
- File screenshot850.png added
- File screenshot851.png added

- Subject changed from deltaV is shown as zero when increasing flow priority on liquid booster's tank to deltaV calculation incorrect with liquid booster

fuel flow priorities changed
- Category changed from Gameplay to Controls and Ul
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Did some testing of my own and the behavior here is very strange. It seemed at first, with a simplified setup (no fuel ducts) that the game was simply
ignoring tanks with lower fuel flow priorities, but testing with the fuel ducts clearly shows this is not the case. Bizarrely, disabling one of the

non-priority-raised tanks actually increases the delta V calculation.

#4 - 01/19/2019 01:02 AM - bitzoid
This might be related to Issue #20740

Files

KSP.log 420 KB 12/27/2018 isa
correct-delta-v.png 1.15 MB 12/27/2018 isa
thisisabug.craft 20.3 KB 12/27/2018 isa
wrong-delta-v.png 1.14 MB 12/27/2018 isa
screenshot849.png 2.29 MB 12/29/2018 Nebbie
screenshot850.png 2.29 MB 12/29/2018 Nebbie
screenshot851.png 2.29 MB 12/29/2018 Nebbie

04/09/2024

22


https://bugs.kerbalspaceprogram.com/issues/20740
http://www.tcpdf.org

